﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTileManagerScrollbar
{
    public class EmotionExpression : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string value)
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(value));
        }

        #endregion

        private string name = string.Empty;
        private string uITileColor;
        private bool isTileMaximized;


        public string Name
        {
            get { return name; }
            set { name = value; OnPropertyChanged("Name"); }
        }

        public string UITileColor
        {
            get { return uITileColor; }
            set { uITileColor = value; OnPropertyChanged("UITileColor"); }
        }

        public bool IsTileMaximized
        {
            get { return isTileMaximized; }
            set { isTileMaximized = value; OnPropertyChanged("IsTileMaximized"); }
        }
    }
}
